package cn.com.ty.lift.business.emergency.service.impl;

import cn.com.ty.lift.business.emergency.dto.RepairCondition;
import cn.com.ty.lift.business.emergency.entity.EmergencyRepair;
import cn.com.ty.lift.business.emergency.mapper.EmergencyRepairMapper;
import cn.com.ty.lift.business.emergency.service.EmergencyRepairService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 临修记录 服务实现类
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Service
public class EmergencyRepairServiceImpl extends ServiceImpl<EmergencyRepairMapper, EmergencyRepair> implements EmergencyRepairService {

    @Autowired
    private EmergencyRepairMapper emergencyRepairMapper;

    @Override
    public IPage<EmergencyRepair> listByStatus(IPage<EmergencyRepair> page, Integer status) {
        QueryWrapper<EmergencyRepair> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<EmergencyRepair> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(EmergencyRepair::getStatus, status);
        page = page(page,queryWrapper);
        return page;
    }

    @Override
    public IPage<EmergencyRepair> listByCondition(RepairCondition condition) {
        IPage<EmergencyRepair> page = new Page<>(condition.getPageNum(),condition.getPageSize());
        IPage<EmergencyRepair> lists = emergencyRepairMapper.listByCondition(page,condition);
        return lists;
    }
}
